Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.client.binder
Interface PrivateGinBinder

All Superinterfaces:
  GinBinder

All Known Implementing Classes:
  PrivateBinderAdapter

    public interface PrivateGinBinder

extends GinBinder

Extension of GinBinder that allows for exposing keys. This is used when creating private modules, where bindings would not be exposed by default.

Method Summary
`GinAnnotatedElementBuilder` | `expose(java.lang.Class<?> type)` Expose the given class.
`void` | `expose(Key<?> key)` Expose the given key.
`GinAnnotatedElementBuilder` | `expose(TypeLiteral<?> type)` Expose the given type.

Methods inherited from interface com.google.gwt.inject.client.binder.GinBinder
`bind, bind, bind, bindConstant, install, requestStaticInjection`

Method Detail

### expose

    void expose(Key<?> key)

  Expose the given key.

### expose

    GinAnnotatedElementBuilder expose(java.lang.Class<?> type)

  Expose the given class. Returns a `GinAnnotatedElementBuilder` which can be used for adding an annotation.

### expose

    GinAnnotatedElementBuilder expose(TypeLiteral<?> type)

  Expose the given type. Returns a `GinAnnotatedElementBuilder` which can be used for adding an annotation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD